package com.iamberry.wechat.core.entity.agentInfo;

import com.iamberry.wechat.core.entity.PageBean;

import java.util.Date;

/**
 * 批量采购配置实体类
 * Created by liuzhiwei on 2017/10/11.
 */
public class AgentConfig implements java.io.Serializable{

    private static final long serialVersionUID = 7788953884099970994L;
    private Integer configId;       //id
    private Integer agentId;        //商户id
    private Integer colorId;        //产品颜色id
    private Integer configAmount;   //采购金额
    private Integer configStatus;   //状态
    private Date configCreateTime;  //创建时间
    private PageBean page;			//分页
    private String agentName;       //商户姓名
    private String productName;     //产品名称
    private String colorName;       //产品颜色名称

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getColorName() {
        return colorName;
    }

    public void setColorName(String colorName) {
        this.colorName = colorName;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public Integer getColorId() {
        return colorId;
    }

    public void setColorId(Integer colorId) {
        this.colorId = colorId;
    }

    public Integer getConfigAmount() {
        return configAmount;
    }

    public void setConfigAmount(Integer configAmount) {
        this.configAmount = configAmount;
    }

    public Integer getConfigStatus() {
        return configStatus;
    }

    public void setConfigStatus(Integer configStatus) {
        this.configStatus = configStatus;
    }

    public Date getConfigCreateTime() {
        return configCreateTime;
    }

    public void setConfigCreateTime(Date configCreateTime) {
        this.configCreateTime = configCreateTime;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }
}
